## libphysfs 2.0.1

=== CMakeLists.txt ===
# PhysicsFS; a portable, flexible file i/o abstraction.
# Copyright (C) 2007  Ryan C. Gordon.
#
# Please see the file LICENSE.txt in the source's root directory.

CMAKE_MINIMUM_REQUIRED(VERSION 2.4)

PROJECT(PhysicsFS)
SET(PHYSFS_VERSION 2.0.1)

# Increment this if/when we break backwards compatibility.
SET(PHYSFS_SOVERSION 1)

# I hate that they define "WIN32" ... we're about to move to Win64...I hope!
IF(WIN32 AND NOT WINDOWS)
    SET(WINDOWS TRUE)
ENDIF(WIN32 AND NOT WINDOWS)

# Bleh, let's do it for "APPLE" too.
IF(APPLE AND NOT MACOSX)
    SET(MACOSX TRUE)
ENDIF(APPLE AND NOT MACOSX)

INCLUDE(CheckIncludeFile)
INCLUDE(CheckLibraryExists)
INCLUDE(CheckCSourceCompiles)

INCLUDE_DIRECTORIES(.)
#INCLUDE_DIRECTORIES(platform)
#INCLUDE_DIRECTORIES(archivers)

IF(MACOSX)
    # Fallback to older OS X on PowerPC to support wider range of systems...
    IF(CMAKE_OSX_ARCHITECTURES MATCHES ppc)
        ADD_DEFINITIONS(-DMAC_OS_X_VERSION_MIN_REQUIRED=1020)
        SET(OTHER_LDFLAGS ${OTHER_LDFLAGS} " -mmacosx-version-min=10.2")
    ENDIF(CMAKE_OSX_ARCHITECTURES MATCHES ppc)

    # Need these everywhere...
    ADD_DEFINITIONS(-fno-common)
    SET(OTHER_LDFLAGS ${OTHER_LDFLAGS} " -framework Carbon -framework IOKit")
ENDIF(MACOSX)

# Add some gcc-specific command lines.
IF(CMAKE_COMPILER_IS_GNUCC)
    # Always build with debug symbols...you can strip it later.
    ADD_DEFINITIONS(-g -pipe -Werror -fsigned-char)

    # Stupid BeOS generates warnings in the system headers.
    IF(NOT BEOS)
        ADD_DEFINITIONS(-Wall)
    ENDIF(NOT BEOS)

    CHECK_C_SOURCE_COMPILES("
        #if ((defined(__GNUC__)) && (__GNUC__ >= 4))
        int main(int argc, char **argv) { int is_gcc4 = 1; return 0; }
        #else
        #error This is not gcc4.
        #endif
    " PHYSFS_IS_GCC4)

    IF(PHYSFS_IS_GCC4)
        # Not supported on several operating systems at this time.
        IF(NOT OS2 AND NOT SOLARIS AND NOT WINDOWS)
             ADD_DEFINITIONS(-fvisibility=hidden)
        ENDIF(NOT OS2 AND NOT SOLARIS AND NOT WINDOWS)
    ENDIF(PHYSFS_IS_GCC4)
ENDIF(CMAKE_COMPILER_IS_GNUCC)

IF(MSVC)
    # VS.NET 8.0 got really really anal about strcpy, etc, which even if we
    #  cleaned up our code, zlib, etc still use...so disable the warning.
    ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS=1)
ENDIF(MSVC)

# Basic chunks of source code ...

SET(ZLIB_SRCS
    zlib123/adler32.c
    zlib123/compress.c
    zlib123/crc32.c
    zlib123/deflate.c
    zlib123/gzio.c
    zlib123/infback.c
    zlib123/inffast.c
    zlib123/inflate.c
    zlib123/inftrees.c
    zlib123/trees.c
    zlib123/uncompr.c
    zlib123/zutil.c
)

SET(LZMA_SRCS
    lzma/C/7zCrc.c
    lzma/C/Archive/7z/7zBuffer.c
    lzma/C/Archive/7z/7zDecode.c
    lzma/C/Archive/7z/7zExtract.c
    lzma/C/Archive/7z/7zHeader.c
    lzma/C/Archive/7z/7zIn.c
    lzma/C/Archive/7z/7zItem.c
    lzma/C/Archive/7z/7zMethodID.c
    lzma/C/Compress/Branch/BranchX86.c
    lzma/C/Compress/Branch/BranchX86_2.c
    lzma/C/Compress/Lzma/LzmaDecode.c
)

IF(BEOS)
    # We add this explicitly, since we don't want CMake to think this
    #  is a C++ project unless we're on BeOS.
    SET(PHYSFS_BEOS_SRCS platform/beos.cpp)
    SET(OPTIONAL_LIBRARY_LIBS ${OPTIONAL_LIBRARY_LIBS} be root)
ENDIF(BEOS)

# Almost everything is "compiled" here, but things that don't apply to the
#  build are #ifdef'd out. This is to make it easy to embed PhysicsFS into
#  another project or bring up a new build system: just compile all the source
#  code and #define the things you want.
SET(PHYSFS_SRCS
    physfs.c
    physfs_byteorder.c
    physfs_unicode.c
    platform/os2.c
    platform/pocketpc.c
    platform/posix.c
    platform/unix.c
    platform/macosx.c
    platform/windows.c
    archivers/dir.c
    archivers/grp.c
    archivers/hog.c
    archivers/lzma.c
    archivers/mvl.c
    archivers/qpak.c
    archivers/wad.c
    archivers/zip.c
    ${PHYSFS_BEOS_SRCS}
)


# platform layers ...

IF(UNIX)
    IF(BEOS)
        SET(PHYSFS_HAVE_CDROM_SUPPORT TRUE)
        SET(PHYSFS_HAVE_THREAD_SUPPORT TRUE)
        SET(HAVE_PTHREAD_H TRUE)
    ELSE(BEOS)
        # !!! FIXME
        #  AC_DEFINE([PHYSFS_HAVE_LLSEEK], 1, [define if we have llseek])
        CHECK_INCLUDE_FILE(sys/ucred.h HAVE_UCRED_H)
        IF(HAVE_UCRED_H)
            ADD_DEFINITIONS(-DPHYSFS_HAVE_SYS_UCRED_H=1)
            SET(PHYSFS_HAVE_CDROM_SUPPORT TRUE)
        ENDIF(HAVE_UCRED_H)

        CHECK_INCLUDE_FILE(mntent.h HAVE_MNTENT_H)
        IF(HAVE_MNTENT_H)
            ADD_DEFINITIONS(-DPHYSFS_HAVE_MNTENT_H=1)
            SET(PHYSFS_HAVE_CDROM_SUPPORT TRUE)
        ENDIF(HAVE_MNTENT_H)

        CHECK_INCLUDE_FILE(pthread.h HAVE_PTHREAD_H)
        IF(HAVE_PTHREAD_H)
            SET(PHYSFS_HAVE_THREAD_SUPPORT TRUE)
        ENDIF(HAVE_PTHREAD_H)
    ENDIF(BEOS)
ENDIF(UNIX)

IF(WINDOWS)
    SET(PHYSFS_HAVE_CDROM_SUPPORT TRUE)
    SET(PHYSFS_HAVE_THREAD_SUPPORT TRUE)
ENDIF(WINDOWS)

IF(NOT PHYSFS_HAVE_CDROM_SUPPORT)
    ADD_DEFINITIONS(-DPHYSFS_NO_CDROM_SUPPORT=1)
    MESSAGE(WARNING " ***")
    MESSAGE(WARNING " *** There is no CD-ROM support in this build!")
    MESSAGE(WARNING " *** PhysicsFS will just pretend there are no discs.")
    MESSAGE(WARNING " *** This may be fine, depending on how PhysicsFS is used,")
    MESSAGE(WARNING " ***   but is this what you REALLY wanted?")
    MESSAGE(WARNING " *** (Maybe fix CMakeLists.txt, or write a platform driver?)")
    MESSAGE(WARNING " ***")
ENDIF(NOT PHYSFS_HAVE_CDROM_SUPPORT)

IF(PHYSFS_HAVE_THREAD_SUPPORT)
    ADD_DEFINITIONS(-D_REENTRANT -D_THREAD_SAFE)
ELSE(PHYSFS_HAVE_THREAD_SUPPORT)
    ADD_DEFINITIONS(-DPHYSFS_NO_THREAD_SUPPORT=1)
    MESSAGE(WARNING " ***")
    MESSAGE(WARNING " *** There is no thread support in this build!")
    MESSAGE(WARNING " *** PhysicsFS will NOT be reentrant!")
    MESSAGE(WARNING " *** This may be fine, depending on how PhysicsFS is used,")
    MESSAGE(WARNING " ***   but is this what you REALLY wanted?")
    MESSAGE(WARNING " *** (Maybe fix CMakeLists.txt, or write a platform driver?)")
    MESSAGE(WARNING " ***")
ENDIF(PHYSFS_HAVE_THREAD_SUPPORT)

CHECK_INCLUDE_FILE(assert.h HAVE_ASSERT_H)
IF(HAVE_ASSERT_H)
    ADD_DEFINITIONS(-DHAVE_ASSERT_H=1)
ENDIF(HAVE_ASSERT_H)



# Archivers ...

OPTION(PHYSFS_ARCHIVE_ZIP "Enable ZIP support" TRUE)
IF(PHYSFS_ARCHIVE_ZIP)
    ADD_DEFINITIONS(-DPHYSFS_SUPPORTS_ZIP=1)
    SET(PHYSFS_NEED_ZLIB TRUE)
ENDIF(PHYSFS_ARCHIVE_ZIP)

OPTION(PHYSFS_ARCHIVE_7Z "Enable 7zip support" TRUE)
IF(PHYSFS_ARCHIVE_7Z)
    ADD_DEFINITIONS(-DPHYSFS_SUPPORTS_7Z=1)
    # !!! FIXME: rename to 7z.c?
    SET(PHYSFS_SRCS ${PHYSFS_SRCS} ${LZMA_SRCS})
ENDIF(PHYSFS_ARCHIVE_7Z)

OPTION(PHYSFS_ARCHIVE_GRP "Enable Build Engine GRP support" TRUE)
IF(PHYSFS_ARCHIVE_GRP)
    ADD_DEFINITIONS(-DPHYSFS_SUPPORTS_GRP=1)
ENDIF(PHYSFS_ARCHIVE_GRP)

OPTION(PHYSFS_ARCHIVE_WAD "Enable Doom WAD support" TRUE)
IF(PHYSFS_ARCHIVE_WAD)
    ADD_DEFINITIONS(-DPHYSFS_SUPPORTS_WAD=1)
ENDIF(PHYSFS_ARCHIVE_WAD)

OPTION(PHYSFS_ARCHIVE_HOG "Enable Descent I/II HOG support" TRUE)
IF(PHYSFS_ARCHIVE_HOG)
    ADD_DEFINITIONS(-DPHYSFS_SUPPORTS_HOG=1)
ENDIF(PHYSFS_ARCHIVE_HOG)

OPTION(PHYSFS_ARCHIVE_MVL "Enable Descent I/II MVL support" TRUE)
IF(PHYSFS_ARCHIVE_MVL)
    ADD_DEFINITIONS(-DPHYSFS_SUPPORTS_MVL=1)
ENDIF(PHYSFS_ARCHIVE_MVL)

OPTION(PHYSFS_ARCHIVE_QPAK "Enable Quake I/II QPAK support" TRUE)
IF(PHYSFS_ARCHIVE_QPAK)
    ADD_DEFINITIONS(-DPHYSFS_SUPPORTS_QPAK=1)
ENDIF(PHYSFS_ARCHIVE_QPAK)


# See if some archiver required zlib, and see about using system version.

IF(PHYSFS_NEED_ZLIB)
    FIND_PACKAGE(ZLIB)

    IF(ZLIB_FOUND)
        OPTION(PHYSFS_INTERNAL_ZLIB "Link own zlib instead of system library" FALSE)
    ELSE(HAVE_SYSTEM_ZLIB)
        SET(PHYSFS_INTERNAL_ZLIB TRUE)
    ENDIF(ZLIB_FOUND)

    IF(PHYSFS_INTERNAL_ZLIB)
        INCLUDE_DIRECTORIES(zlib123)
        ADD_DEFINITIONS(-DZ_PREFIX=1)
        SET(PHYSFS_SRCS ${PHYSFS_SRCS} ${ZLIB_SRCS})
    ELSE(PHYSFS_INTERNAL_ZLIB)
        SET(OPTIONAL_LIBRARY_LIBS ${OPTIONAL_LIBRARY_LIBS} ${ZLIB_LIBRARY})
        INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
    ENDIF(PHYSFS_INTERNAL_ZLIB)
ENDIF(PHYSFS_NEED_ZLIB)

OPTION(PHYSFS_BUILD_STATIC "Build static library" TRUE)
IF(PHYSFS_BUILD_STATIC)
    ADD_LIBRARY(physfs-static STATIC ${PHYSFS_SRCS})
    SET_TARGET_PROPERTIES(physfs-static PROPERTIES OUTPUT_NAME "physfs")
    SET(PHYSFS_LIB_TARGET physfs-static)
    SET(PHYSFS_INSTALL_TARGETS ${PHYSFS_INSTALL_TARGETS} ";physfs-static")
ENDIF(PHYSFS_BUILD_STATIC)

OPTION(PHYSFS_BUILD_SHARED "Build shared library" TRUE)
IF(PHYSFS_BUILD_SHARED)
    ADD_LIBRARY(physfs SHARED ${PHYSFS_SRCS})
    SET_TARGET_PROPERTIES(physfs PROPERTIES VERSION ${PHYSFS_VERSION})
    SET_TARGET_PROPERTIES(physfs PROPERTIES SOVERSION ${PHYSFS_SOVERSION})
    TARGET_LINK_LIBRARIES(physfs ${OPTIONAL_LIBRARY_LIBS} ${OTHER_LDFLAGS})
    SET(PHYSFS_LIB_TARGET physfs)
    SET(PHYSFS_INSTALL_TARGETS ${PHYSFS_INSTALL_TARGETS} ";physfs")
ENDIF(PHYSFS_BUILD_SHARED)

IF(NOT PHYSFS_BUILD_SHARED AND NOT PHYSFS_BUILD_STATIC)
    MESSAGE(FATAL "Both shared and static libraries are disabled!")
ENDIF(NOT PHYSFS_BUILD_SHARED AND NOT PHYSFS_BUILD_STATIC)

# CMake FAQ says I need this...
IF(PHYSFS_BUILD_SHARED AND PHYSFS_BUILD_STATIC)
    SET_TARGET_PROPERTIES(physfs PROPERTIES CLEAN_DIRECT_OUTPUT 1)
    SET_TARGET_PROPERTIES(physfs-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
ENDIF(PHYSFS_BUILD_SHARED AND PHYSFS_BUILD_STATIC)

OPTION(PHYSFS_BUILD_TEST "Build stdio test program." TRUE)
MARK_AS_ADVANCED(PHYSFS_BUILD_TEST)
IF(PHYSFS_BUILD_TEST)
    FIND_PATH(READLINE_H readline/readline.h)
    FIND_PATH(HISTORY_H readline/history.h)
    IF(READLINE_H AND HISTORY_H)
        SET(CMAKE_REQUIRED_LIBRARIES curses)
        FIND_LIBRARY(READLINE_LIBRARY readline)
        FIND_LIBRARY(HISTORY_LIBRARY history)
        IF(READLINE_LIBRARY AND HISTORY_LIBRARY)
            SET(HAVE_SYSTEM_READLINE TRUE)
            SET(TEST_PHYSFS_LIBS ${TEST_PHYSFS_LIBS} ${READLINE_LIBRARY} ${CURSES_LIBRARY})
            INCLUDE_DIRECTORIES(${READLINE_H} ${HISTORY_H})
            ADD_DEFINITIONS(-DPHYSFS_HAVE_READLINE=1)
        ENDIF(READLINE_LIBRARY AND HISTORY_LIBRARY)
    ENDIF(READLINE_H AND HISTORY_H)
    ADD_EXECUTABLE(test_physfs test/test_physfs.c)
    TARGET_LINK_LIBRARIES(test_physfs ${PHYSFS_LIB_TARGET} ${TEST_PHYSFS_LIBS} ${OTHER_LDFLAGS})
    SET(PHYSFS_INSTALL_TARGETS ${PHYSFS_INSTALL_TARGETS} ";test_physfs")
ENDIF(PHYSFS_BUILD_TEST)

OPTION(PHYSFS_BUILD_WX_TEST "Build wxWidgets test program." TRUE)
MARK_AS_ADVANCED(PHYSFS_BUILD_WX_TEST)
IF(PHYSFS_BUILD_WX_TEST)
    SET(wxWidgets_USE_LIBS base core adv)
    SET(wxWidgets_INCLUDE_DIRS_NO_SYSTEM 1)
    FIND_PACKAGE(wxWidgets)
    IF(wxWidgets_FOUND)
        INCLUDE(${wxWidgets_USE_FILE})
        ADD_EXECUTABLE(wxtest_physfs test/wxtest_physfs.cpp)
        SET_SOURCE_FILES_PROPERTIES(test/wxtest_physfs.cpp COMPILE_FLAGS ${wxWidgets_CXX_FLAGS})
        TARGET_LINK_LIBRARIES(wxtest_physfs ${PHYSFS_LIB_TARGET} ${wxWidgets_LIBRARIES} ${OTHER_LDFLAGS})
        SET(PHYSFS_INSTALL_TARGETS ${PHYSFS_INSTALL_TARGETS} ";wxtest_physfs")
    ELSE(wxWidgets_FOUND)
        MESSAGE(STATUS "wxWidgets not found. Disabling wx test app.")
        SET(PHYSFS_BUILD_WX_TEST FALSE)
    ENDIF(wxWidgets_FOUND)
ENDIF(PHYSFS_BUILD_WX_TEST)

INSTALL(TARGETS ${PHYSFS_INSTALL_TARGETS}
        RUNTIME DESTINATION bin
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib)
INSTALL(FILES physfs.h DESTINATION include)

FIND_PACKAGE(Doxygen)
IF(DOXYGEN_FOUND)
    ADD_CUSTOM_TARGET(docs ${DOXYGEN_EXECUTABLE} COMMENT "Building documentation")
ELSE(DOXYGEN_FOUND)
    MESSAGE(STATUS "Doxygen not found. You won't be able to build documentation.")
ENDIF(DOXYGEN_FOUND)

IF(UNIX)
    SET(PHYSFS_TARBALL "${CMAKE_CURRENT_SOURCE_DIR}/../physfs-${PHYSFS_VERSION}.tar.gz")
    ADD_CUSTOM_TARGET(
        dist
        hg archive -t tgz "${PHYSFS_TARBALL}"
        WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
        COMMENT "Building source tarball '${PHYSFS_TARBALL}'..."
    )

## libphysfs 2.0.0

=== debian/changelog ===
libphysfs (2.0.0-4) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * Fix 03_gcc4.4-ftbfs.diff, so it tries to overwrite buffer with uninitialised
    data.
    Closes: #527208
  * Bump Standards-Version to 3.8.3.

  [ Patrick Matthäi ]
  * Fix debian/changelog.
  * Replace libreadline5-dev build dependency by libreadline-dev.
    Closes: #553799
  * Convert package to the 3.0 (quilt) format.
  * Rediff hunky 01_manpages.diff patch.
  * Bump to debhelper compat 7.
    - Use dh_prep instead of dh_clean -k.
  * Override some lintian pendantic warnings.
  * Remove not used dh_installexamples.
  * Add an simple manpage for test_physfs.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 15 Nov 2009 14:13:28 +0100

libphysfs (2.0.0-3) unstable; urgency=low

  * Change my email address.
  * Add 03_gcc4.4-ftbfs.diff patch from upstream, which fixes a FTBFS with
    gcc 4.4.
    Closes: #525750
  * Add experimental 02_fix-hurd-ftbfs.diff patch, which should fix FTBFS
    on hurd.
    Closes: #493916
  * Move libphysfs1-dbg to section debug. This fixes a lintian warning.
  * Bump Standards-Version to 3.8.2 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 18 Jun 2009 08:18:33 +0200

libphysfs (2.0.0-2) unstable; urgency=low

  [ Barry deFreese ]
  * Upload new upstream to unstable.
    + New binaries for testing physfs added to -dev package.
  * Add Provides, Conflicts, and Replaces for libphysfs-1.0-0.
    + ABI compatible with previous version so symlink libphysfs-1.0-0
      to the new library.
  * Drop 02_soname.patch, no longer needed.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 23 Mar 2009 11:52:31 -0400

libphysfs (2.0.0-1) experimental; urgency=low

  [ Barry deFreese ]
  * New upstream release.
  * Bump Standards Version to 3.8.1. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Mon, 23 Mar 2009 10:26:34 -0400

libphysfs (1.1.1-1) experimental; urgency=low

  [ Patrick Matthäi ]
  * Add missing ${misc:Depends}. Thanks lintian.

  [ Barry deFreese ]
  * New upstream release.
  * Rename binary for SONAME bump.
  * Fix symbols file. (Thanks to Paul Wise).
  * Don't install bogus manpage links.
  * Remove duplicated sections from binary packages.
  * Add description to quilt patch.

 -- Barry deFreese <bdefreese@debian.org>  Sun, 01 Mar 2009 18:05:01 -0500

libphysfs (1.0.1-3) unstable; urgency=low

  [ Barry deFreese ]
  * 02_soname.diff - Fix *_AGE in configure and configure.in.
  * Rename binary package to 1.0-0 instead of 1.0-1.
  * Remove old unnecessary Conflicts and Replaces.

 -- Barry deFreese <bdefreese@debian.org>  Sat, 07 Mar 2009 21:43:12 -0500

libphysfs (1.0.1-2) unstable; urgency=low

  [ Patrick Matthäi ]
  * Add missing ${misc:Depends}. Thanks lintian.

  [ Barry deFreese ]
  * Don't install bogus manpage links.
  * Remove duplicated sections from binary packages.
  * Add description to quilt patch.

 -- Barry deFreese <bdefreese@debian.org>  Sun, 01 Mar 2009 18:05:01 -0500

libphysfs (1.0.1-1) experimental; urgency=low

  [ Barry deFreese ]
  * New maintainer.
    + Acknowledged by previous maintainer.
    + Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
    + Add myself to uploaders.
  * New upstream release.
    + Bump package name to match new soname.
  * Fix description on -dev package. (Closes: #416614).
  * Move Homepage from package description to source header.
  * Make binNMU safe.
  * Make clean not ignore errors.
  * Remove un-needed dirs files.
  * Remove unnecessary build-dep on automake1.7.
  * Add quilt patching system.
    + 01_manpages.diff - Fix generated manpages.
  * Add sed script in rules to fix manpage whatis entry.
  * Add VCS tags.
  * Fix up watch file.
  * Re-enable readline support in rules.
    + Add build-dep on libreadline5-dev.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.7.3. (No changes needed).

  [ Patrick Matthäi ]
  * Provide debugging symbols in a separate package.
    Closes: #488468
  * Change short description to a simillar one as the libguichan binary package
    itself with a note, that it contains the development headers.
    Closes: #416614
  * Bump Standards-Version to 3.8.0 (no changes needed).
  * Add myself to uploaders.
  * Minor debian/rules cleanups.
  * Added .symbols file for the library.
  * Do not build by default with the verbose option to reduce the size of the
    build log.

 -- Barry deFreese <bdefreese@debian.org>  Sat, 29 Nov 2008 10:45:08 -0500

libphysfs (1.0.0-5) unstable; urgency=high

  * Urgency high due to security fix on most architectures (Closes: #318091)
  * Added explicit version of zlib1g-dev as a build dependecy.
  * Bumped Standards-Version to 3.6.2 (no changes needed)

 -- Bartosz Fenski <fenio@debian.org>  Wed, 13 Jul 2005 15:53:33 +0200

libphysfs (1.0.0-4) unstable; urgency=low

  * Fixed wrong build dependencies (Closes: #304438)
    Thanks to Andreas Jochens for spotting this.

 -- Bartosz Fenski <fenio@debian.org>  Wed, 13 Apr 2005 09:45:33 +0200

libphysfs (1.0.0-3) unstable; urgency=low

  * Updated libtool and autoconf stuff. (Closes: #304298)
  * s/fenio@o2.pl/fenio@debian.org/
  * Removed Scott James Remnant from Uploaders, many thanks for all uploads
    and useful hints.

 -- Bartosz Fenski <fenio@debian.org>  Tue, 12 Apr 2005 10:11:32 +0200

libphysfs (1.0.0-2) unstable; urgency=low

  * Setting proper conflicting values.

 -- Bartosz Fenski <fenio@o2.pl>  Fri,  9 Jul 2004 22:25:15 +0200

libphysfs (1.0.0-1) unstable; urgency=low

  * New package because of SONAME change (Closes: #253845)

 -- Bartosz Fenski <fenio@o2.pl>  Sun, 13 Jun 2004 00:17:12 +0200

libphysfs0 (1.0.0-1) unstable; urgency=low

  * New upstream release. 
  * debian/control:
    - added Homepage to description.
    - added autotools-dev to Build-Depends:
    - added Section header for source
    - moved Section for -dev package to libdevel
  * debian/rules:
    - added --disable-readline to configure target. (Closes: #249195)


=== debian/control ===
Source: libphysfs
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Barry deFreese <bdefreese@debian.org>,
 Patrick Matthäi <pmatthaei@debian.org>,
 Gonéri Le Bouder <goneri@rulezlan.org>
Build-Depends: debhelper (>= 7), quilt, cmake, doxygen, autotools-dev, zlib1g-dev, libreadline-dev
Standards-Version: 3.8.3
Homepage: http://www.icculus.org/physfs/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/libphysfs/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/libphysfs/?op=log

Package: libphysfs-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libphysfs1 (= ${binary:Version})
Description: filesystem abstraction library for game programmers (development headers)
 The PhysicsFS filesystem abstraction library provides a simple C
 interface to aid game programmers in utilizing game assets packaged in
 many different types of archive files.
 .
 This package contains the development libraries and headers.

Package: libphysfs1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libphysfs-1.0-0
Conflicts: libphysfs-1.0-0
Replaces: libphysfs-1.0-0
Description: filesystem abstraction library for game programmers
 The PhysicsFS filesystem abstraction library provides a simple C
 interface to aid game programmers in utilizing game assets packaged in
 many different types of archive files.

Package: libphysfs1-dbg
Architecture: any
Depends: ${misc:Depends}, libphysfs1 (= ${binary:Version})
Priority: extra
Section: debug
Description: filesystem abstraction library for game programmers (debug symbols)
 The PhysicsFS filesystem abstraction library provides a simple C
 interface to aid game programmers in utilizing game assets packaged in
 many different types of archive files.
 .
 This package contains the debugging symbols for the libphysfs package.

## libphysfs 2.0.1

=== debian/changelog ===
libphysfs (2.0.1-2) unstable; urgency=low

  * Fix link from libphysfs-1.0.so.0 to libphysfs.so.2.0.1.
    Closes: #586248
  * Bump Standards-Version to 3.9.0 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 11 Jul 2010 15:11:49 +0200

libphysfs (2.0.1-1) unstable; urgency=low

  * New upstream release.
    - Drop all patches, they have been merged by upstream.
    - physfs does not fail anymore with a bogus $HOME.
      Closes: #553174
    - Properly initialize on kfreebsd-*.
      Closes: #544356
  * Add 01-fix-gcc4.4-building.diff from upstream, so that physfs can be build
    with gcc 4.4, thanks.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 25 Mar 2010 21:30:58 +0100

libphysfs (2.0.0-5) unstable; urgency=high

  * Bump Standards-Version to 3.8.4 (no changes needed).
  * Drop quilt build depedencie.
  * Only install properly builded manpages. There is something wrong with the
    doxygen markup.
    Closes: #573658

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 14 Mar 2010 14:45:17 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Barry deFreese <bdefreese@debian.org>,
- Patrick Matthäi <pmatthaei@debian.org>,
- Gonéri Le Bouder <goneri@rulezlan.org>
-Build-Depends: debhelper (>= 7), quilt, cmake, doxygen, autotools-dev, zlib1g-dev, libreadline-dev
-Standards-Version: 3.8.3
+ Patrick Matthäi <pmatthaei@debian.org>
+Build-Depends: debhelper (>= 7), cmake, doxygen, autotools-dev, zlib1g-dev, libreadline-dev
+Standards-Version: 3.9.0
 Homepage: http://www.icculus.org/physfs/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/libphysfs/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/libphysfs/?op=log

=== debian/rules ===
#!/usr/bin/make -f
# rules for libphysfs (March 2004)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status:
	dh_testdir
	cmake -D CMAKE_INSTALL_PREFIX=/usr .

build: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE)
	doxygen
	#Fix manpage whatis entry
	sed -i -e 's/physfs.h \\- $$/physfs.h \\- main header file for physfs/' docs/man/man3/physfs.h.3
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || [ ! -f config.status ] || $(MAKE) clean
	rm -fR docs/html docs/latex docs/man
	rm -f config.log config.status config.sub config.guess
	find ./ -name Makefile -delete
	rm -f config.h
	rm -f libtool
	rm -f stamp-h1
	rm -f libphysfs.so*
	rm -f test_physfs wxtest_physfs
	rm -f install_manifest.txt
	rm -f CMakeCache.txt
	rm -f cmake_install.cmake
	rm -rf docs
	rm -rf CMakeFiles
	rm -rf .pc
	find ./ -name *.o -delete
	find ./ -name *.a -delete
	find ./ -name *.bin -delete
	find ./ -name a.out -delete
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG.txt
	dh_installdocs
	dh_installman
	dh_install
	dh_link
	dh_lintian
	#dpkg-gensymbols -plibphysfs1
	dh_strip --dbg-package=libphysfs1-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://www.icculus.org/physfs/downloads/physfs-([\d.]+)\.tar\.gz

## libphysfs 2.0.2

=== debian/changelog ===
libphysfs (2.0.2-7) unstable; urgency=low

  * Wrap all debian/control fields.
  * Add multiarch support.
    Closes: #680607
  * Add lintian overrides for false positive hardening-no-fortify-functions
    warnings.
  * Drop unused debian/libphysfs1.symbols file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 12 Jul 2012 21:13:51 +0200

libphysfs (2.0.2-6) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 24 Feb 2012 19:24:57 +0100

libphysfs (2.0.2-5) unstable; urgency=high

  * Do not remove the .pc directory in the clean target.
    Closes: #647492
  * Apply patch from Sven Joachim, to not unnecessarily link against ncurses.
    Closes: #646146
  * Wrap all control fields.
  * Add missing patch description to remove_unused_variable.diff.
  * Add missing build-arch and build-indep target.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 05 Nov 2011 11:52:22 +0100

libphysfs (2.0.2-4) unstable; urgency=low

  * Team upload.
  * Drop an unsued variable from archivers/wad.c that caused an FTBFS by
    remove_unused_variable.diff. (Closes: #634415)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Tue, 19 Jul 2011 17:40:27 +0200

libphysfs (2.0.2-3) unstable; urgency=low

  * Rebuild package. It looks like the building hardware was just damaged.
    Closes: #624800

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 04 May 2011 22:39:43 +0200

libphysfs (2.0.2-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Wrap build dependencies.
  * Build with enabled hardening-wrapper.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 20:31:44 +0200

libphysfs (2.0.2-1) unstable; urgency=low

  * New upstream release.
    - Remove merged 01-fix-gcc4.4-building patch.
  * Bump Standards-Version to 3.9.1.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 19 Feb 2011 10:38:24 +0100

=== debian/control ===
Source: libphysfs
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Barry deFreese <bdefreese@debian.org>,
 Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 9),
 cmake,
 doxygen,
 autotools-dev,
 zlib1g-dev,
 hardening-wrapper,
 libreadline-dev
Standards-Version: 3.9.3
Homepage: http://www.icculus.org/physfs/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/libphysfs/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/libphysfs/?op=log

Package: libphysfs-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libphysfs1 (= ${binary:Version})
Description: filesystem abstraction library for game programmers (development headers)
 The PhysicsFS filesystem abstraction library provides a simple C
 interface to aid game programmers in utilizing game assets packaged in
 many different types of archive files.
 .
 This package contains the development libraries and headers.

Package: libphysfs1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Provides: libphysfs-1.0-0
Conflicts: libphysfs-1.0-0
Replaces: libphysfs-1.0-0
Multi-Arch: same
Description: filesystem abstraction library for game programmers
 The PhysicsFS filesystem abstraction library provides a simple C
 interface to aid game programmers in utilizing game assets packaged in
 many different types of archive files.

Package: libphysfs1-dbg
Architecture: any
Depends: ${misc:Depends},
 libphysfs1 (= ${binary:Version})
Priority: extra
Section: debug
Multi-Arch: same
Description: filesystem abstraction library for game programmers (debug symbols)
 The PhysicsFS filesystem abstraction library provides a simple C
 interface to aid game programmers in utilizing game assets packaged in
 many different types of archive files.
 .
 This package contains the debugging symbols for the libphysfs package.

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,13 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export DEB_BUILD_HARDENING=1
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
   confflags += --build $(DEB_HOST_GNU_TYPE)
@@ -28,7 +30,7 @@
 
 config.status:
 	dh_testdir
-	cmake -D CMAKE_INSTALL_PREFIX=/usr .
+	cmake -D CMAKE_INSTALL_PREFIX=/usr -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" .
 
 build: build-stamp
 build-stamp: config.status
@@ -39,12 +41,16 @@
 	sed -i -e 's/physfs.h \\- $$/physfs.h \\- main header file for physfs/' docs/man/man3/physfs.h.3
 	touch build-stamp
 
+build-arch: build
+
+build-indep: build
+
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
 	[ ! -f Makefile ] || [ ! -f config.status ] || $(MAKE) clean
-	rm -fR docs/html docs/latex docs/man
+	rm -fr docs/html docs/latex docs/man
 	rm -f config.log config.status config.sub config.guess
 	find ./ -name Makefile -delete
 	rm -f config.h
@@ -57,7 +63,6 @@
 	rm -f cmake_install.cmake
 	rm -rf docs
 	rm -rf CMakeFiles
-	rm -rf .pc
 	find ./ -name *.o -delete
 	find ./ -name *.a -delete
 	find ./ -name *.bin -delete
@@ -80,8 +85,9 @@
 	dh_installman
 	dh_install
 	dh_link
+	dh_link -plibphysfs1 "usr/lib/$(DEB_HOST_MULTIARCH)/libphysfs.so.2.0.2" \
+		"usr/lib/$(DEB_HOST_MULTIARCH)/libphysfs-1.0.so.0"
 	dh_lintian
-	#dpkg-gensymbols -plibphysfs1
 	dh_strip --dbg-package=libphysfs1-dbg
 	dh_compress
 	dh_fixperms

## libphysfs 2.0.2-1

=== debian/control ===
Source: libphysfs
Priority: extra
Maintainer: Alberto Mardegan <mardy@users.sourceforge.net>
Build-Depends: debhelper (>= 5), cmake
Standards-Version: 3.7.2
Section: libs

Package: libphysfs-dev
Section: libdevel
Architecture: any
Depends: libphysfs1 (= ${Source-Version})
Description: filesystem abstraction library for game programmers (develoment files)
 The PhysicsFS filesystem abstraction library provides a simple C
 interface to aid game programmers in utilizing game assets packaged in
 many different types of archive files.

Package: libphysfs1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: filesystem abstraction library for game programmers
 The PhysicsFS filesystem abstraction library provides a simple C
 interface to aid game programmers in utilizing game assets packaged in
 many different types of archive files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


BUILD_DIR:=builddir

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

builddir:
	mkdir -p $(BUILD_DIR)

configure: configure-stamp
configure-stamp: builddir
	dh_testdir
	# Add here commands to configure the package.
	cd $(BUILD_DIR) && cmake -DCMAKE_INSTALL_PREFIX=/usr ..

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	cd $(BUILD_DIR) && $(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-cd $(BUILD_DIR) && $(MAKE) clean
	-rm -rf $(BUILD_DIR)

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	cd $(BUILD_DIR) && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG.txt
	dh_installdocs
#	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libphysfs 2.0.2-2

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libphysfs
 Priority: extra
 Maintainer: Alberto Mardegan <mardy@users.sourceforge.net>
-Build-Depends: debhelper (>= 5), cmake
+Build-Depends: debhelper (>= 5), cmake, zlib1g-dev
 Standards-Version: 3.7.2
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -99,7 +99,7 @@
 	dh_fixperms
 #	dh_perl
 #	dh_python
-#	dh_makeshlibs
+	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## libphysfs 2.0.3

=== debian/changelog ===
libphysfs (2.0.3-2) unstable; urgency=low

  * Adopt debian/watch from Bart Martens.
  * Uploading to unstable.
  * Migrate package to minimal debhelper.
  * Remove unused lintian overrides.
  * Adjust Vcs-Browser debian/control field.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 06 May 2013 11:34:54 +0200

libphysfs (2.0.3-1) experimental; urgency=low

  * New upstream release.
    Closes: #691867
    - Remove merged patch remove_unused_variable.
    - Rename patch do_not_link_against_curses to 01-do-not-link-against-curses
      and also rewrite it.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to xz compression and add a Pre-Depends on dpkg.
  * Update debian/watch: Releases are now bzip2 compressed.
  * Remove old libphysfs-1.0.so.0 compatibility symlink.
  * Use wildcards in lintian overrides.
  * Overwrite duplicate-files and no-symbols-control-file lintian warnings.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 12 Nov 2012 19:39:55 +0100

=== debian/control ===
Source: libphysfs
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Barry deFreese <bdefreese@debian.org>,
 Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 9),
 cmake,
 doxygen,
 autotools-dev,
 zlib1g-dev,
 hardening-wrapper,
 libreadline-dev
Standards-Version: 3.9.4
Homepage: http://www.icculus.org/physfs/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/libphysfs/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/libphysfs/

Package: libphysfs-dev
Section: libdevel
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libphysfs1 (= ${binary:Version})
Description: filesystem abstraction library for game programmers (development headers)
 The PhysicsFS filesystem abstraction library provides a simple C
 interface to aid game programmers in utilizing game assets packaged in
 many different types of archive files.
 .
 This package contains the development libraries and headers.

Package: libphysfs1
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
 dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends},
 ${misc:Depends}
Provides: libphysfs-1.0-0
Conflicts: libphysfs-1.0-0
Replaces: libphysfs-1.0-0
Multi-Arch: same
Description: filesystem abstraction library for game programmers
 The PhysicsFS filesystem abstraction library provides a simple C
 interface to aid game programmers in utilizing game assets packaged in
 many different types of archive files.

Package: libphysfs1-dbg
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends},
 libphysfs1 (= ${binary:Version})
Priority: extra
Section: debug
Multi-Arch: same
Description: filesystem abstraction library for game programmers (debug symbols)
 The PhysicsFS filesystem abstraction library provides a simple C
 interface to aid game programmers in utilizing game assets packaged in
 many different types of archive files.
 .
 This package contains the debugging symbols for the libphysfs package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1

DEB_HOST_MULTIARCH     ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

EXTRAFLAGS := -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRAFLAGS)

override_dh_auto_build:
	dh_auto_build
	doxygen

override_dh_clean:
	dh_clean
	rm -rf $(CURDIR)/docs/

override_dh_strip:
	dh_strip --dbg-package=libphysfs1-dbg

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://www.icculus.org/physfs/downloads/physfs-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## libphysfs 3.0.1

=== debian/changelog ===
libphysfs (3.0.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix the fsync patch. Really closes: #907429.

 -- Stephen Kitt <skitt@debian.org>  Sat, 01 Dec 2018 15:27:09 +0100

libphysfs (3.0.1-3) unstable; urgency=medium

  * Bump Standards-Version to 4.2.1.
  * Merge 3.0.1-2~bpo9+1 changelog.
  * Fix renamed debian-watch lintian tag.
  * Add upstream patch 02-fsync.
    Closes: #907429

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 29 Nov 2018 15:10:13 +0100

libphysfs (3.0.1-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 22 Oct 2018 10:50:42 +0200

libphysfs (3.0.1-2) unstable; urgency=high

  * Move package to my own repository.
  * Bump Standards-Version to 4.1.4.
  * Move source.lintian-overrides file to source directory.
  * Add upstream patch 01-setwritedir to fix a bug in the setWriteDir function.
    Much thanks Gianfranco Costamagna for taking care of this.
    Closes: #898483
  * Bump debian/compat to level 11.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 05 Jun 2018 14:28:17 +0200

libphysfs (3.0.1-1) unstable; urgency=medium

  * New upstream release.
    - Remove merged or not anymore required patches
      01-do-not-link-against-curses, 02-zip-seek and 03-set-project-number.
  * Bump Standards-Version to 4.1.1 (no changes required).
  * Use secure URI for homepage and debian/watch.
  * Remove trailing whitespace from debian/changelog.
  * Adjust lintian overrides.
  * doc base has been removed.
  * Removed doxygen.
  * Various docs has been removed.
  * Remove now missing manpages and doc files.
  * jquery is no longer a part of this package.
  * Adjust debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 07 Nov 2017 10:37:53 +0100

libphysfs (2.0.3-6) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0 (no changes required).
  * Drop dbg package.
  * Bump debian/compat to level 10.
    - Drop build dependency on autotools-dev.
  * Add patch 03-set-project-number to set the project number in the Doxyfile.
    Closes: #795574
  * Overwrite lintian warning vcs-field-uses-insecure-uri.
  * Correctly remove jquery.js file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 03 Aug 2017 11:01:09 +0200

libphysfs (2.0.3-5) unstable; urgency=low

  * Add patch 02-zip-seek to fix a buffer overflow in physfs with zlib version
    >= 1.2.11.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 03 Apr 2017 19:48:04 +0200

libphysfs (2.0.3-4) unstable; urgency=medium

  * Enable full hardening.
  * Use secure Vcs-Browser URL.
  * Bump Standards-Version to 3.9.8 (no changes required).

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 23 Dec 2016 09:24:38 +0100

libphysfs (2.0.3-3) unstable; urgency=medium

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Patrick Matthäi ]
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.
  * Bump Standards-Version to 3.9.6 (no changes needed).
  * Remove deprecated hardening-wrapper.
  * Update to DEP5 debian/copyright format.
  * Fix lintian warning static-library-has-unneeded-section.
  * Overwrite lintian warning debian-watch-may-check-gpg-signature, since there
    are no signatures available
  * Remove unused lintian overrides.
  * Link and depend against system libjs-jquery version.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 05 Aug 2015 19:39:51 +0200

=== debian/control ===
Source: libphysfs
Section: libs
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 11),
 cmake,
 zlib1g-dev,
 libncurses5-dev,
 libreadline-dev
Standards-Version: 4.2.1
Homepage: https://www.icculus.org/physfs/

Package: libphysfs-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libphysfs1 (= ${binary:Version})
Description: filesystem abstraction library for game programmers (development headers)
 The PhysicsFS filesystem abstraction library provides a simple C
 interface to aid game programmers in utilizing game assets packaged in
 many different types of archive files.
 .
 This package contains the development libraries and headers.

Package: libphysfs1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Provides: libphysfs-1.0-0
Conflicts: libphysfs-1.0-0
Replaces: libphysfs-1.0-0
Multi-Arch: same
Description: filesystem abstraction library for game programmers
 The PhysicsFS filesystem abstraction library provides a simple C
 interface to aid game programmers in utilizing game assets packaged in
 many different types of archive files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH     ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

EXTRAFLAGS := -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRAFLAGS)

override_dh_install:
	dh_install
	strip --remove-section=.comment \
		$(CURDIR)/debian/libphysfs-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libphysfs.a
